import request from '@/utils/request'

// 查询余额变动列表
export function listChangeBalance(query) {
  return request({
    url: '/system/changeBalance/list',
    method: 'get',
    params: query
  })
}

// 查询余额变动详细
export function getChangeBalance(changeId) {
  return request({
    url: '/system/changeBalance/' + changeId,
    method: 'get'
  })
}

// 新增余额变动
export function addChangeBalance(data) {
  return request({
    url: '/system/changeBalance',
    method: 'post',
    data: data
  })
}

// 修改余额变动
export function updateChangeBalance(data) {
  return request({
    url: '/system/changeBalance',
    method: 'put',
    data: data
  })
}

// 删除余额变动
export function delChangeBalance(changeId) {
  return request({
    url: '/system/changeBalance/' + changeId,
    method: 'delete'
  })
}
